Retrieve the current status of auto-renewal for your Virtual Private Server (VPS). This shows if the service is set to auto-renew and provides information about the next due date and when the next invoice is expected.
path.vmid vmid integer · min: 1 required
Example: 10000 Unique vmid identifier
Accept Example Content-Type Example data object required data.autorenew boolean required
· Example: true data.autorenewRaw string required
· Example: 1 data.nextDue string · enum required
· Example: 2026-02-14 2026-02-08 2026-02-12 2026-02-14 2026-03-08 2026-03-12 data.nextInvoice string · enum required
· Example: 2026-01-31 2026-01-25 2026-01-29 2026-01-31 2026-02-22 2026-02-26 requestId string required
· Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba Unique request identifier (UUID).
success boolean required
· Example: true True for successful responses.
timestamp string required
· Example: 2026-02-10T00:00:00.000Z ISO 8601 timestamp (UTC).
https://cloud.hostup.se/api/vm/{vmid}/autorenew curl -X GET "https://cloud.hostup.se/api/vm/10000/autorenew" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" {
"success": true,
"timestamp": "2026-02-10T00:00:00.000Z",
"requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
"data": {
"autorenew": true,
"autorenewRaw": "1",
"nextDue": "2026-02-14",
"nextInvoice": "2026-01-31"
}
}